<?php
/*
 * Google Meet for LatePoint
 * Copyright (c) 2022-2023 TechXela (https://codecanyon.net/user/tech-xela). All Rights Reserved.
 *
 * LICENSE
 * -------
 * This software is furnished under license(s) and may be used and copied only in accordance with the terms of such
 * license(s) along with the inclusion of the above copyright notice. If you purchased this software through CodeCanyon,
 * please read the full license(s) at: https://codecanyon.net/licenses/standard
 */

if ( ! class_exists( 'TechXelaLatePointGoogleMeetCustomerHelper' ) ) :

	final class TechXelaLatePointGoogleMeetCustomerHelper {
		public static function customerDashboardAfterBookingInfoTile( $booking ) {
			if ( $booking->exists() ) {
				$meetingId  = TechXelaLatePointGoogleMeetMeetingHelper::getMeetingIdForBookingId( $booking->id );
				$meetingUrl = TechXelaLatePointGoogleMeetMeetingHelper::getMeetingUrlForBookingId( $booking->id );

				if ( $meetingId && $meetingUrl ) {
					?>
                    <div class="tx-meetings-info-link">
                        <img src="<?php esc_attr_e( \TechXelaLatePointMeetingsSettingsHelper::getMeetingSystemIconUrl( 'TechXelaLatePointGoogleMeet' ) ); ?>"
                             alt="Google Meet">
                        <a href="<?php esc_attr_e( $meetingUrl ); ?>"
                           target="_blank"><?php esc_html_tx_e( 'Join with Google Meet', 'google-meet-latepoint' ); ?></a>
                    </div>
					<?php
				}
			}
		}
	}

endif;