<?php 

class OsPaymentsFlutterwaveHelper {
  
  function __construct(){
  }

  public static function example_call(){
    $example_var = 'This is example variable';
    return $example_var;
  }

  public static function retrieve_transaction($transaction_id){
    $remote = wp_remote_get( "https://api.flutterwave.com/v3/transactions/${transaction_id}/verify", array(
      'timeout' => 10,
      CURLOPT_ENCODING => "",
      CURLOPT_MAXREDIRS => 10,
      CURLOPT_FOLLOWLOCATION => true,
      CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
      'sslverify' => false,
      'headers' => array(
        'Accept' => 'application/json',
        'Authorization' => 'Bearer '. self::get_secret_key()
      ) )
    );

    if ( ! is_wp_error( $remote ) && isset( $remote['response']['code'] ) && $remote['response']['code'] == 200 && ! empty( $remote['body'] ) ) {
      $transaction_data = json_decode($remote['body']);
      if($transaction_data->status == 'success'){
        $transaction = new stdClass();
        $transaction->id = $transaction_data->data->id;
        $transaction->status = $transaction_data->data->status;
        return $transaction;
      }else{
        return new WP_Error('transaction_search_error', $transaction_data->message);
      }
    }else{
      if(is_wp_error( $remote )){
        error_log($remote->getMessage());
        return new WP_Error('transaction_search_error', __('Error FIJEF834', 'latepoint-payments-flutterwave'));
      }else{
        return new WP_Error('transaction_search_error', __('Error SUDHF83', 'latepoint-payments-flutterwave'));
      }
    }
  }

  public static function get_secret_key(){
    return OsSettingsHelper::get_settings_value('flutterwave_secret_key', '');
  }

  public static function get_publishable_key(){
    return OsSettingsHelper::get_settings_value('flutterwave_publishable_key', '');
  }

  public static function convert_charge_amount_to_requirements($charge_amount){
		$number_of_decimals = OsSettingsHelper::get_settings_value('number_of_decimals', '2');
    return number_format((float)$charge_amount, $number_of_decimals, '.', '');
  }

  public static function load_countries_list(){
    $country_codes = ['AL' => "Albania",
                      'DZ' => "Algeria",
                      'AD' => "Andorra",
                      'AO' => "Angola",
                      'AI' => "Anguilla",
                      'AG' => "Antigua & Barbuda",
                      'AR' => "Argentina",
                      'AM' => "Armenia",
                      'AW' => "Aruba",
                      'AU' => "Australia",
                      'AT' => "Austria",
                      'AZ' => "Azerbaijan",
                      'BS' => "Bahamas",
                      'BH' => "Bahrain",
                      'BB' => "Barbados",
                      'BY' => "Belarus",
                      'BE' => "Belgium",
                      'BZ' => "Belize",
                      'BJ' => "Benin",
                      'BM' => "Bermuda",
                      'BT' => "Bhutan",
                      'BO' => "Bolivia",
                      'BA' => "Bosnia & Herzegovina",
                      'BW' => "Botswana",
                      'BR' => "Brazil",
                      'VG' => "British Virgin Islands",
                      'BN' => "Brunei",
                      'BG' => "Bulgaria",
                      'BF' => "Burkina Faso",
                      'BI' => "Burundi",
                      'KH' => "Cambodia",
                      'CM' => "Cameroon",
                      'CA' => "Canada",
                      'CV' => "Cape Verde",
                      'KY' => "Cayman Islands",
                      'TD' => "Chad",
                      'CL' => "Chile",
                      'C2' => "China",
                      'CO' => "Colombia",
                      'KM' => "Comoros",
                      'CG' => "Congo - Brazzaville",
                      'CD' => "Congo - Kinshasa",
                      'CK' => "Cook Islands",
                      'CR' => "Costa Rica",
                      'CI' => "Côte D’ivoire",
                      'HR' => "Croatia",
                      'CY' => "Cyprus",
                      'CZ' => "Czech Republic",
                      'DK' => "Denmark",
                      'DJ' => "Djibouti",
                      'DM' => "Dominica",
                      'DO' => "Dominican Republic",
                      'EC' => "Ecuador",
                      'EG' => "Egypt",
                      'SV' => "El Salvador",
                      'ER' => "Eritrea",
                      'EE' => "Estonia",
                      'ET' => "Ethiopia",
                      'FK' => "Falkland Islands",
                      'FO' => "Faroe Islands",
                      'FJ' => "Fiji",
                      'FI' => "Finland",
                      'FR' => "France",
                      'GF' => "French Guiana",
                      'PF' => "French Polynesia",
                      'GA' => "Gabon",
                      'GM' => "Gambia",
                      'GE' => "Georgia",
                      'DE' => "Germany",
                      'GH' => "Ghana",
                      'GI' => "Gibraltar",
                      'GR' => "Greece",
                      'GL' => "Greenland",
                      'GD' => "Grenada",
                      'GP' => "Guadeloupe",
                      'GT' => "Guatemala",
                      'GN' => "Guinea",
                      'GW' => "Guinea-bissau",
                      'GY' => "Guyana",
                      'HN' => "Honduras",
                      'HK' => "Hong Kong Sar China",
                      'HU' => "Hungary",
                      'IS' => "Iceland",
                      'IN' => "India",
                      'ID' => "Indonesia",
                      'IE' => "Ireland",
                      'IL' => "Israel",
                      'IT' => "Italy",
                      'JM' => "Jamaica",
                      'JP' => "Japan",
                      'JO' => "Jordan",
                      'KZ' => "Kazakhstan",
                      'KE' => "Kenya",
                      'KI' => "Kiribati",
                      'KW' => "Kuwait",
                      'KG' => "Kyrgyzstan",
                      'LA' => "Laos",
                      'LV' => "Latvia",
                      'LS' => "Lesotho",
                      'LI' => "Liechtenstein",
                      'LT' => "Lithuania",
                      'LU' => "Luxembourg",
                      'MK' => "Macedonia",
                      'MG' => "Madagascar",
                      'MW' => "Malawi",
                      'MY' => "Malaysia",
                      'MV' => "Maldives",
                      'ML' => "Mali",
                      'MT' => "Malta",
                      'MH' => "Marshall Islands",
                      'MQ' => "Martinique",
                      'MR' => "Mauritania",
                      'MU' => "Mauritius",
                      'YT' => "Mayotte",
                      'MX' => "Mexico",
                      'FM' => "Micronesia",
                      'MD' => "Moldova",
                      'MC' => "Monaco",
                      'MN' => "Mongolia",
                      'ME' => "Montenegro",
                      'MS' => "Montserrat",
                      'MA' => "Morocco",
                      'MZ' => "Mozambique",
                      'NA' => "Namibia",
                      'NR' => "Nauru",
                      'NP' => "Nepal",
                      'NL' => "Netherlands",
                      'NC' => "New Caledonia",
                      'NZ' => "New Zealand",
                      'NI' => "Nicaragua",
                      'NE' => "Niger",
                      'NG' => "Nigeria",
                      'NU' => "Niue",
                      'NF' => "Norfolk Island",
                      'NO' => "Norway",
                      'OM' => "Oman",
                      'PW' => "Palau",
                      'PA' => "Panama",
                      'PG' => "Papua New Guinea",
                      'PY' => "Paraguay",
                      'PE' => "Peru",
                      'PH' => "Philippines",
                      'PN' => "Pitcairn Islands",
                      'PL' => "Poland",
                      'PT' => "Portugal",
                      'QA' => "Qatar",
                      'RE' => "Réunion",
                      'RO' => "Romania",
                      'RU' => "Russia",
                      'RW' => "Rwanda",
                      'WS' => "Samoa",
                      'SM' => "San Marino",
                      'ST' => "São Tomé & Príncipe",
                      'SA' => "Saudi Arabia",
                      'SN' => "Senegal",
                      'RS' => "Serbia",
                      'SC' => "Seychelles",
                      'SL' => "Sierra Leone",
                      'SG' => "Singapore",
                      'SK' => "Slovakia",
                      'SI' => "Slovenia",
                      'SB' => "Solomon Islands",
                      'SO' => "Somalia",
                      'ZA' => "South Africa",
                      'KR' => "South Korea",
                      'ES' => "Spain",
                      'LK' => "Sri Lanka",
                      'SH' => "St. Helena",
                      'KN' => "St. Kitts & Nevis",
                      'LC' => "St. Lucia",
                      'PM' => "St. Pierre & Miquelon",
                      'VC' => "St. Vincent & Grenadines",
                      'SR' => "Suriname",
                      'SJ' => "Svalbard & Jan Mayen",
                      'SZ' => "Swaziland",
                      'SE' => "Sweden",
                      'CH' => "Switzerland",
                      'TW' => "Taiwan",
                      'TJ' => "Tajikistan",
                      'TZ' => "Tanzania",
                      'TH' => "Thailand",
                      'TG' => "Togo",
                      'TO' => "Tonga",
                      'TT' => "Trinidad & Tobago",
                      'TN' => "Tunisia",
                      'TM' => "Turkmenistan",
                      'TC' => "Turks & Caicos Islands",
                      'TV' => "Tuvalu",
                      'UG' => "Uganda",
                      'UA' => "Ukraine",
                      'AE' => "United Arab Emirates",
                      'GB' => "United Kingdom",
                      'US' => "United States",
                      'UY' => "Uruguay",
                      'VU' => "Vanuatu",
                      'VA' => "Vatican City",
                      'VE' => "Venezuela",
                      'VN' => "Vietnam",
                      'WF' => "Wallis & Futuna",
                      'YE' => "Yemen",
                      'ZM' => "Zambia",
                      'ZW' => "Zimbabwe"];
    return $country_codes;
  }


  public static function load_currencies_list(){
    return ["AED" => "United Arab Emirates Dirham",
            "ALL" => "Albanian lek",
            "AMD" => "Armenian dram",
            "ARS" => "Argentine peso",
            "AUD" => "Australian dollar",
            "AWG" => "Aruban florin",
            "BBD" => "Barbadian dollar",
            "BDT" => "Bangladeshi taka",
            "BMD" => "Bermudian dollar",
            "BND" => "Brunei dollar",
            "BOB" => "Bolivian boliviano",
            "BSD" => "Bahamian dollar",
            "BWP" => "Botswana pula",
            "BZD" => "Belize dollar",
            "CAD" => "Canadian dollar",
            "CHF" => "Swiss franc",
            "CNY" => "Chinese yuan renminbi",
            "COP" => "Colombian peso",
            "CRC" => "Costa Rican colon",
            "CUP" => "Cuban peso",
            "CZK" => "Czech koruna",
            "DKK" => "Danish krone",
            "DOP" => "Dominican peso",
            "DZD" => "Algerian dinar",
            "EGP" => "Egyptian pound",
            "ETB" => "Ethiopian birr",
            "EUR" => "European euro",
            "FJD" => "Fijian dollar",
            "GBP" => "Pound sterling",
            "GIP" => "Gibraltar pound",
            "GHS" => "Ghanian Cedi",
            "GMD" => "Gambian dalasi",
            "GTQ" => "Guatemalan quetzal",
            "GYD" => "Guyanese dollar",
            "HKD" => "Hong Kong dollar",
            "HNL" => "Honduran lempira",
            "HRK" => "Croatian kuna",
            "HTG" => "Haitian gourde",
            "HUF" => "Hungarian forint",
            "IDR" => "Indonesian rupiah",
            "ILS" => "Israeli new shekel",
            "INR" => "Indian rupee",
            "JMD" => "Jamaican dollar",
            "KES" => "Kenyan shilling",
            "KGS" => "Kyrgyzstani som",
            "KHR" => "Cambodian riel",
            "KYD" => "Cayman Islands dollar",
            "KZT" => "Kazakhstani tenge",
            "LAK" => "Lao kip",
            "LBP" => "Lebanese pound",
            "LKR" => "Sri Lankan rupee",
            "LRD" => "Liberian dollar",
            "LSL" => "Lesotho loti",
            "MAD" => "Moroccan dirham",
            "MDL" => "Moldovan leu",
            "MKD" => "Macedonian denar",
            "MMK" => "Myanmar kyat",
            "MNT" => "Mongolian tugrik",
            "MOP" => "Macanese pataca",
            "MUR" => "Mauritian rupee",
            "MVR" => "Maldivian rufiyaa",
            "MWK" => "Malawian kwacha",
            "MXN" => "Mexican peso",
            "MYR" => "Malaysian ringgit",
            "NAD" => "Namibian dollar",
            "NGN" => "Nigerian naira",
            "NIO" => "Nicaraguan cordoba",
            "NOK" => "Norwegian krone",
            "NPR" => "Nepalese rupee",
            "NZD" => "New Zealand dollar",
            "PEN" => "Peruvian sol",
            "PGK" => "Papua New Guinean kina",
            "PHP" => "Philippine peso",
            "PKR" => "Pakistani rupee",
            "QAR" => "Qatari riyal",
            "RUB" => "Russian ruble",
            "SAR" => "Saudi Arabian riyal",
            "SCR" => "Seychellois rupee",
            "SEK" => "Swedish krona",
            "SGD" => "Singapore dollar",
            "SLL" => "Sierra Leonean leone",
            "SOS" => "Somali shilling",
            "SSP" => "South Sudanese pound",
            "SVC" => "Salvadoran colon",
            "SZL" => "Swazi lilangeni",
            "THB" => "Thai baht",
            "TTD" => "Trinidad and Tobago dollar",
            "TZS" => "Tanzanian shilling",
            "USD" => "United States dollar",
            "UYU" => "Uruguayan peso",
            "UZS" => "Uzbekistani som",
            "YER" => "Yemeni rial",
            "ZAR" => "South African rand"];
  }
}